%define module		Digest-Perl-MD4
%define m_distro	MD4
%define m_name		Digest::Perl::MD4
%define m_author_id	OTAKA
Name: perl-%module
Version: 1.4
Release: alt1.1

Summary: Perl implementation of Ron Rivests MD4 Algorithm
Summary(ru_RU.CP1251):   MD4    Perl
Group: Development/Perl
License: Artistic

Url: http://search.cpan.org/dist/%module/
Source: %m_distro-%version.tar.bz2
Buildarch: noarch

# Automatically added by buildreq on Mon Jul 28 2003
BuildRequires: perl-devel

%description
This is not C-code interface (like `Digest::MD5') but a Perl-only
implementation of MD4 (like `Digest::Perl::MD5'). Because of this, it is slow
but avoids platform specific complications. For efficiency you should use
`Digest::MD4' instead of this module if it is available.

%prep
%setup -q -n %m_distro

%build
#find . -type f -name '*.pm' | xargs %__perl -pi -e 's/^#=+.*[\r\n]+//'
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_privlib/Digest/*
%perl_vendor_man3dir/*
%doc Changes

%changelog
* Sat Feb 19 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.4-alt1.1
- Rebuilt with rpm-build-perl-0.5.1.

* Sat Mar 06 2004 Andrey Brindeew <abr@altlinux.ru> 1.4-alt1
- Added "s" option to split pattern to handle files with
  embedded newlines (CPAN Ticket 4961)

* Tue Nov 25 2003 Andrey Brindeew <abr@altlinux.ru> 1.3-alt2
- Url and Summary tags was fixed.

* Mon Jul 28 2003 Andrey Brindeew <abr@altlinux.ru> 1.3-alt1
- First build for ALTLinux.

